petsc-3.4.2 2013-07-02

# DMDARestoreArray

Restores an array of derivative types for a DMDA

### Synopsis

    #include "petscdmda.h"
    PetscErrorCode  DMDARestoreArray(DM da,PetscBool ghosted,void *vptr)

### Input Parameter

| da | - information about my local patch
| ghosted | - do you want arrays for the ghosted or nonghosted patch
| vptr | - array data structured to be passed to ad_FormFunctionLocal()

### See Also

DMDAGetArray()

Level:advanced
Location:src/dm/impls/da/dalocal.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ts/examples/tutorials/ex9.c.html